PROGRAMA	EQU		$1000
DATOS		EQU		$3000

			ORG		DATOS
SUM			DS.L	1
DATOSA		EQU		$3010
DATOSB		EQU		$3020
DATOSC		EQU		$3030

			ORG		$3010
			DC.L	$00010002
			DC.W	$0003

			ORG		$3020
			DC.L	$00040005
			DC.W	$0006

			ORG		PROGRAMA

COMIENZO	MOVE.W	#3,D0
			MOVEA.W	#DATOSA,A0
			MOVEA.W	#DATOSB,A1
			MOVEA.L	#DATOSC,A2
			MOVE.L	#0,SUM
			SUBI.W	#1,D0
BUCLE		MOVE.W	D0,D2
			MULU	#2,D2
			MOVEQ	#0,D6
			MOVE.W	0(A0,D2),D6
			MOVEQ	#0,D7
			MOVE.W	0(A1,D2),D7
			MULS	D6,D7
			ADD.L	D7,SUM
			SUBI.W	#1,D0
			BPL		BUCLE
			MOVE.L	SUM,(A2)

FIN
			END
